//canvas c1: Fig. 12 in first submitted version
//canvas c2: Fig. 13 in first submitted version
//canvas c3: Fig. 14 in first submitted version
//canvas c4: Fig. 15 in first submitted version

using std::cout;
using std::endl;

void figPresCorrLeftES(const Bool_t saveFigs = 0)
{

//	gStyle->SetLabelFont();

	TFile *fr = new TFile("figures/PRCepsilonT.root", "READ");

	const Int_t canMap[6] = {1,4,3,6,2,5};

	TH1F *hExp[4];
	TH1F *hSim[4];
	TH1F *hInput[4];

	TH1F *hCurr = 0;

	hCurr = (TH1F*)fr->Get("heeT3_5_4560");
	hExp[0] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr->Get("heeT3_5_6075");
	hExp[1] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr->Get("heeT3_5_7590");
	hExp[2] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr->Get("heeT3_5_90120");
	hExp[3] = new TH1F(*hCurr);

	hCurr = (TH1F*)fr->Get("hseT3_5_4560");
	hSim[0] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr->Get("hseT3_5_6075");
	hSim[1] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr->Get("hseT3_5_7590");
	hSim[2] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr->Get("hseT3_5_90120");
	hSim[3] = new TH1F(*hCurr);

	hCurr = (TH1F*)fr->Get("hieT3_5_4560");
	hInput[0] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr->Get("hieT3_5_6075");
	hInput[1] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr->Get("hieT3_5_7590");
	hInput[2] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr->Get("hieT3_5_90120");
	hInput[3] = new TH1F(*hCurr);



	TCanvas *c1 = new TCanvas();
	c1->ToggleEditor();
//	c1->SetWindowSize(800, 1200);
	c1->SetWindowSize(1000, 1000);
	c1->Divide(2, 2, .001, .001);

	cout << "Fig. 12" << endl;

	for (Int_t i = 0; i < 4; i++) {
		c1->cd(i+1);

//		cout << i << endl;

		hSim[i]->SetTitle("");
		hSim[i]->SetLineColor(kGray+1);
		hSim[i]->SetFillColor(kGray+1);
		hSim[i]->GetXaxis()->SetNdivisions(405);
		hSim[i]->GetYaxis()->SetTitle("");
		if (i == 0 || i == 1) {
//			hSim[i]->GetYaxis()->SetNdivisions(1005);
		}
		hInput[i]->SetLineWidth(2);
		hInput[i]->SetLineColor(kRed);

		hSim[i]->Draw("");
		hExp[i]->Draw("E same");
		hInput[i]->Draw("same");

		hExp[i]->Chi2Test(hSim[i], "P");
	}
	c1->Update();

	TCanvas *c2 = new TCanvas();
	c2->ToggleEditor();
	c2->SetWindowSize(1500, 1000);
	c2->Divide(3, 2, .001, .001);

//	TFile *fr3 = new TFile("figures/PRCepsilonY.root");

	TH1F *hCorrExp[6];
	TH1F *hCorrSim[6];
	TH1F *hCorrInput[6];

	TString hName;

	cout << "Fig. 13" << endl;

	for (Int_t i = 0; i < 6; i++) {
		c2->cd(canMap[i]);

		hName.Form("heeT3_%d_7590", i);
		hCurr = (TH1F*)fr->Get(hName.Data());
		hCorrExp[i] = new TH1F(*hCurr);

		hName.Form("hseT3_%d_7590", i);
		hCurr = (TH1F*)fr->Get(hName.Data());
		hCorrSim[i] = new TH1F(*hCurr);

		hName.Form("hieT3_%d_7590", i);
		hCurr = (TH1F*)fr->Get(hName.Data());
		hCorrInput[i] = new TH1F(*hCurr);
		hCorrInput[i]->SetLineColor(kRed);

		hCorrInput[i]->SetLineWidth(2);
		hCorrSim[i]->SetTitle("");
		hCorrSim[i]->GetXaxis()->SetNdivisions(505);

		hCorrSim[i]->GetYaxis()->SetRangeUser(0., 1390.);
		hCorrSim[i]->GetYaxis()->SetNdivisions(406);
		hCorrSim[i]->GetYaxis()->SetTitle("");
		hCorrSim[i]->SetLineColor(kGray+1);
		hCorrSim[i]->SetFillColor(kGray+1);

		hCorrSim[i]->Draw("");
		hCorrExp[i]->Draw("E same");
		hCorrInput[i]->Draw("same");

		hCorrExp[i]->Chi2Test(hCorrSim[i], "P");
	}
	c2->Update();


	TCanvas *c3 = new TCanvas();
	c3->ToggleEditor();
//	c3->SetWindowSize(800, 1227);
	c3->SetWindowSize(1500, 1000);
	c3->Divide(3, 2, .001, .001);

	TFile *fr2 = new TFile("figures/PRCthetaA.root");

	TH1F *hAlphaExp[6];
	TH1F *hAlphaSim[6];
	TH1F *hAlphaInput[6];
	TH1F *hAlphaInputCorr[6];


	cout << "Fig. 14" << endl;

	for (Int_t i = 0; i < 6; i++) {
		c3->cd(canMap[i]);

		hName.Form("hethetaAT3_%d_7590", i);
		hCurr = (TH1F*)fr2->Get(hName.Data());
		hAlphaExp[i] = new TH1F(*hCurr);

		hName.Form("hsthetaAT3_%d_7590", i);
		hCurr = (TH1F*)fr2->Get(hName.Data());
		hAlphaSim[i] = new TH1F(*hCurr);

		hName.Form("hithetaAT3_%d_7590", i);
		hCurr = (TH1F*)fr2->Get(hName.Data());
		hAlphaInput[i] = new TH1F(*hCurr);

		hAlphaInputCorr[i] = new TH1F(*hAlphaInput[i]);
		Double_t binContent = 0;
		for (Int_t binN = 1; binN <= 15; binN++) {
			binContent = hAlphaInputCorr[i]->GetBinContent(binN);
			hAlphaInputCorr[i]->SetBinContent(binN, binContent + hAlphaInputCorr[i]->GetBinContent(31-binN));
			hAlphaInputCorr[i]->SetBinContent(31-binN, hAlphaInputCorr[i]->GetBinContent(binN));
		}

		hAlphaInput[i]->SetLineWidth(2);
		hAlphaSim[i]->SetTitle("");
		hAlphaSim[i]->GetXaxis()->SetNdivisions(506);
		hAlphaSim[i]->GetXaxis()->SetLabelSize(0.07);
		hAlphaSim[i]->GetXaxis()->SetLabelOffset(0.002);
		hAlphaSim[i]->GetXaxis()->SetTitleSize(0.08);
		hAlphaSim[i]->GetXaxis()->SetTitleOffset(0.74);

		hAlphaSim[i]->GetYaxis()->SetRangeUser(0., 690.);
		hAlphaSim[i]->GetYaxis()->SetTitle("");

		hAlphaSim[i]->SetLineColor(kGray+1);
		hAlphaSim[i]->SetFillColor(kGray+1);

		hAlphaSim[i]->Draw("");
		hAlphaSim[i]->GetXaxis()->SetTitle("#it{#theta}_{#alpha} (rad)");
		hAlphaExp[i]->Draw("E same");
//		hAlphaInput[i]->Draw("same");
		hAlphaInputCorr[i]->SetLineColor(kRed);
		hAlphaInputCorr[i]->SetLineWidth(2);
		hAlphaInputCorr[i]->Scale(0.5);
		hAlphaInputCorr[i]->Smooth();
		hAlphaInputCorr[i]->Draw("same");

//		cout << "Chi2: " << hAlphaSim[i]->Chi2Test()endl;
		hAlphaExp[i]->Chi2Test(hAlphaSim[i], "P");
//		hAlphaSim[i]->Chi2Test(hAlphaInputCorr[i], "P");

	}
	c3->Update();




	TCanvas *c4 = new TCanvas();
	c4->ToggleEditor();
//	c4->SetWindowSize(800, 1227);
//	c4->Divide(2, 3, .001, .001);
	c4->SetWindowSize(1500, 1000);
	c4->Divide(3, 2, .001, .001);

//	TFile *fr2 = new TFile("figures/PRCthetaA.root");

	TH1F *hAlphaExp90120[6];
	TH1F *hAlphaSim90120[6];
	TH1F *hAlphaInput90120[6];
	TH1F *hAlphaInput90120Corr[6];


	cout << "Fig. 15" << endl;

	for (Int_t i = 0; i < 6; i++) {
		c4->cd(canMap[i]);

		hName.Form("hethetaAT3_%d_90120", i);
		hCurr = (TH1F*)fr2->Get(hName.Data());
		hAlphaExp90120[i] = new TH1F(*hCurr);

		hName.Form("hsthetaAT3_%d_90120", i);
		hCurr = (TH1F*)fr2->Get(hName.Data());
		hAlphaSim90120[i] = new TH1F(*hCurr);

		hName.Form("hithetaAT3_%d_90120", i);
		hCurr = (TH1F*)fr2->Get(hName.Data());
		hAlphaInput90120[i] = new TH1F(*hCurr);

		hAlphaInput90120Corr[i] = new TH1F(*hAlphaInput90120[i]);
		Double_t binContent = 0;
		for (Int_t binN = 1; binN <= 15; binN++) {
			binContent = hAlphaInput90120Corr[i]->GetBinContent(binN);
			hAlphaInput90120Corr[i]->SetBinContent(binN, binContent + hAlphaInput90120Corr[i]->GetBinContent(31-binN));
			hAlphaInput90120Corr[i]->SetBinContent(31-binN, hAlphaInput90120Corr[i]->GetBinContent(binN));
		}

		hAlphaInput90120[i]->SetLineWidth(2);
		hAlphaSim90120[i]->SetTitle("");
		hAlphaSim90120[i]->GetXaxis()->SetNdivisions(506);
		hAlphaSim90120[i]->GetXaxis()->SetLabelSize(0.07);
		hAlphaSim90120[i]->GetXaxis()->SetLabelOffset(0.002);
		hAlphaSim90120[i]->GetXaxis()->SetTitleSize(0.08);
		hAlphaSim90120[i]->GetXaxis()->SetTitleOffset(0.74);

		hAlphaSim90120[i]->GetYaxis()->SetRangeUser(0., 650.);
		hAlphaSim90120[i]->GetYaxis()->SetTitle("");

		hAlphaSim90120[i]->SetLineColor(kGray+1);
		hAlphaSim90120[i]->SetFillColor(kGray+1);

		hAlphaSim90120[i]->Draw("");
		hAlphaSim90120[i]->GetXaxis()->SetTitle("#it{#theta}_{#alpha} (rad)");
		hAlphaExp90120[i]->Draw("E same");
//		hAlphaInput90120[i]->Draw("same");
		hAlphaInput90120Corr[i]->SetLineColor(kRed);
		hAlphaInput90120Corr[i]->SetLineWidth(2);
		hAlphaInput90120Corr[i]->Scale(0.5);
		hAlphaInput90120Corr[i]->Smooth();
		hAlphaInput90120Corr[i]->Draw("same");

		hAlphaExp90120[i]->Chi2Test(hAlphaSim90120[i], "P");

	}
	c4->Update();
	c1->Update();

	if (saveFigs) {
		c1->SaveAs("figures/PresESepsilonTleft.png");
		c2->SaveAs("figures/PresESepsilonT7590left.png");
		c3->SaveAs("figures/PresESThetaAleft7590.png");
		c4->SaveAs("figures/PresESThetaAleft90120.png");

//		c1->SaveAs("figures/PresESepsilonTleft.gif");
//		c2->SaveAs("figures/PresESepsilonT7590left.gif");
//		c3->SaveAs("figures/PresESThetaAleft7590.gif");
//		c4->SaveAs("figures/PresESThetaAleft90120.gif");
	}

}
